
Patch from:
https://gitlab.gnome.org/GNOME/gtksourceview/-/commit/16db686c0b3170d9ec4d7c7eda4a8e9c0fb1c544

From 16db686c0b3170d9ec4d7c7eda4a8e9c0fb1c544 Mon Sep 17 00:00:00 2001
From: Martin Blanchard <martin.blanchard@codethink.co.uk>
Date: Mon, 26 Feb 2018 14:26:59 +0000
Subject: [PATCH] View: fix includes (implicit declarations)

https://bugzilla.gnome.org/show_bug.cgi?id=793842
---
 gtksourceview/gtksourceview.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gtksourceview/gtksourceview.c b/gtksourceview/gtksourceview.c
index 7d567157c..4e086464f 100644
--- a/gtksourceview/gtksourceview.c
+++ b/gtksourceview/gtksourceview.c
@@ -40,8 +40,9 @@
 #include "gtksourcemark.h"
 #include "gtksourcemarkattributes.h"
 #include "gtksourcestylescheme.h"
-#include "gtksourcecompletionprovider.h"
+#include "gtksourcecompletion.h"
 #include "gtksourcecompletion-private.h"
+#include "gtksourcecompletionprovider.h"
 #include "gtksourcegutter.h"
 #include "gtksourcegutter-private.h"
 #include "gtksourcegutterrendererlines.h"

Patch from:
https://gitlab.gnome.org/GNOME/gtksourceview/-/commit/b25e71c57fc934a7ce36e51826af9fa7c2cf9a80

From b25e71c57fc934a7ce36e51826af9fa7c2cf9a80 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?S=C3=A9bastien=20Wilmet?= <swilmet@gnome.org>
Date: Thu, 14 Dec 2017 13:03:15 +0100
Subject: [PATCH] View: fix assignment from incompatible pointer type

GLib now propagates types with g_object_ref().

At that code path we are sure that buffer is a GtkSourceBuffer since
there is a condition if (GTK_SOURCE_IS_BUFFER (buffer)).
---
 gtksourceview/gtksourceview.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gtksourceview/gtksourceview.c b/gtksourceview/gtksourceview.c
index 21424be97..e642ce360 100644
--- a/gtksourceview/gtksourceview.c
+++ b/gtksourceview/gtksourceview.c
@@ -1531,7 +1531,7 @@ set_source_buffer (GtkSourceView *view,
 	{
 		GtkSourceBufferInternal *buffer_internal;
 
-		view->priv->source_buffer = g_object_ref (buffer);
+		view->priv->source_buffer = g_object_ref (GTK_SOURCE_BUFFER (buffer));
 
 		g_signal_connect (buffer,
 				  "highlight-updated",
-- 
GitLab

